# Class: CollapsibleHeadings

## CollapsibleHeadings()

#### new CollapsibleHeadings()

NB: Attributes not available here - use connectedCallback to reference

Source:
  - collapsible-headings.js, line 112

### Members

#### componentVersion

Component version

Source:
  - collapsible-headings.js, line 95

#### componentVersion

Component version

Source:
  - collapsible-headings.js, line 95

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - collapsible-headings.js, line 102

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - collapsible-headings.js, line 102

### Methods

#### attributeChangedCallback(attrib, oldVal, newVal)

Runs when an observed attribute changes - Note: values are always strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | Name of watched attribute that has changed
`oldVal` | string | The previous attribute value
`newVal` | string | The new attribute value

Source:
  - collapsible-headings.js, line 152

#### attributeChangedCallback(attrib, oldVal, newVal)

Runs when an observed attribute changes - Note: values are always strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | Name of watched attribute that has changed
`oldVal` | string | The previous attribute value
`newVal` | string | The new attribute value

Source:
  - collapsible-headings.js, line 152

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - collapsible-headings.js, line 119

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - collapsible-headings.js, line 119

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - collapsible-headings.js, line 140

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - collapsible-headings.js, line 140

#### processElement(element)

Process each found element node. Adds pointer cursor to the heading and wraps content in a div that can be collapsed.

##### Parameters:

Name | Type | Description
--- | --- | ---
`element` | HTMLElement | The HTML element to process

Source:
  - collapsible-headings.js, line 203

#### processElement(element)

Process each found element node. Adds pointer cursor to the heading and wraps content in a div that can be collapsed.

##### Parameters:

Name | Type | Description
--- | --- | ---
`element` | HTMLElement | The HTML element to process

Source:
  - collapsible-headings.js, line 203

#### processSlotContent(mutations)

Walk through slot content. Called once when connected and then every time slot content changes param {*} records Mutated records param {*} observer Reference to the observer object

##### Parameters:

Name | Type | Description
--- | --- | ---
`mutations` |  |

Source:
  - collapsible-headings.js, line 176

#### processSlotContent(mutations)

Walk through slot content. Called once when connected and then every time slot content changes param {*} records Mutated records param {*} observer Reference to the observer object

##### Parameters:

Name | Type | Description
--- | --- | ---
`mutations` |  |

Source:
  - collapsible-headings.js, line 176

## CollapsibleHeadings()

#### new CollapsibleHeadings()

NB: Attributes not available here - use connectedCallback to reference

Source:
  - collapsible-headings.js, line 112

### Members

#### componentVersion

Component version

Source:
  - collapsible-headings.js, line 95

#### componentVersion

Component version

Source:
  - collapsible-headings.js, line 95

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - collapsible-headings.js, line 102

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - collapsible-headings.js, line 102

### Methods

#### attributeChangedCallback(attrib, oldVal, newVal)

Runs when an observed attribute changes - Note: values are always strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | Name of watched attribute that has changed
`oldVal` | string | The previous attribute value
`newVal` | string | The new attribute value

Source:
  - collapsible-headings.js, line 152

#### attributeChangedCallback(attrib, oldVal, newVal)

Runs when an observed attribute changes - Note: values are always strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | Name of watched attribute that has changed
`oldVal` | string | The previous attribute value
`newVal` | string | The new attribute value

Source:
  - collapsible-headings.js, line 152

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - collapsible-headings.js, line 119

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - collapsible-headings.js, line 119

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - collapsible-headings.js, line 140

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - collapsible-headings.js, line 140

#### processElement(element)

Process each found element node. Adds pointer cursor to the heading and wraps content in a div that can be collapsed.

##### Parameters:

Name | Type | Description
--- | --- | ---
`element` | HTMLElement | The HTML element to process

Source:
  - collapsible-headings.js, line 203

#### processElement(element)

Process each found element node. Adds pointer cursor to the heading and wraps content in a div that can be collapsed.

##### Parameters:

Name | Type | Description
--- | --- | ---
`element` | HTMLElement | The HTML element to process

Source:
  - collapsible-headings.js, line 203

#### processSlotContent(mutations)

Walk through slot content. Called once when connected and then every time slot content changes param {*} records Mutated records param {*} observer Reference to the observer object

##### Parameters:

Name | Type | Description
--- | --- | ---
`mutations` |  |

Source:
  - collapsible-headings.js, line 176

#### processSlotContent(mutations)

Walk through slot content. Called once when connected and then every time slot content changes param {*} records Mutated records param {*} observer Reference to the observer object

##### Parameters:

Name | Type | Description
--- | --- | ---
`mutations` |  |

Source:
  - collapsible-headings.js, line 176